-- Indicatori de rentabilitate (RRC, ROA, ROE, MNP, RCE, PCP)
SELECT
  DATE_FINANCIARE.AnFinanciar,
  [RezultatNet]/[CifraAfaceriNeta]*100 AS RRC,
  IIf([RRC]>10,"OPTIM",IIf([RRC]>0,"ACCEPTABIL","DEFICITAR")) AS D_RRC,
  [RezultatNet]/([ActiveImobilizate]+[ActiveCirculante])*100 AS ROA,
  IIf([ROA]>10,"OPTIM",IIf([ROA]>0,"ACCEPTABIL","DEFICITAR")) AS D_ROA,
  [RezultatNet]/[CapitaluriProprii]*100 AS ROE,
  IIf([ROE]>20,"OPTIM",IIf([ROE]>10,"ACCEPTABIL","DEFICITAR")) AS D_ROE,
  [RezultatNet]/([CifraAfaceriNeta]+[AlteVenitExploatare])*100 AS MNP,
  IIf([MNP]>5,"OPTIM",IIf([MNP]>0,"ACCEPTABIL","DEFICITAR")) AS D_MNP,
  ([CostMateriePrima]+[CheltuieliPersonal]+[AjustarileValoare]+[AlteCheltuiExplo]+[ImpoziteTaxe])/([CifraAfaceriNeta]+[AlteVenitExploatare])*100 AS RCE,
  IIf([RCE]<95,"OPTIM",IIf([RCE]<100,"ACCEPTABIL","DEFICITAR")) AS D_RCE,
  [CheltuieliPersonal]/([CostMateriePrima]+[CheltuieliPersonal]+[AjustarileValoare]+[AlteCheltuiExplo]+[ImpoziteTaxe])*100 AS PCP,
  IIf([PCP]<25,"OPTIM",IIf([PCP]<35,"ACCEPTABIL","DEFICITAR")) AS D_PCP
FROM DATE_FINANCIARE;
